%{!?kernel:%define kernel %(rpm -q kernel-devel --qf '%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}' | tail -1)}


%define kversion %(echo "%{kernel}" | sed -e 's|-.*||')
%define krelease %(echo "%{kernel}" | sed -e 's|.*-||')
%define moduledir /lib/modules/%{kversion}-%{krelease}.%{_target_cpu}/updates
%define driverdir %{moduledir}/drivers

Name:           radeon-r6xx-r7xx
Version:	6.12.2        
Release:        1%{?dist}
Summary:        Free, open source driver support for Radeon HD 2000 - 4000 series cards (r6xx and r7xx).

Group:          Hardware

License:        MIT
URL:            http://www.x.org/wiki/radeon%3Ar6xx_r7xx_branch
Source0:        radeon-r6xx-r7xx-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kernel-devel 
Requires:	xorg-x11-drv-ati >= %{version} libdrm kernel-devel      

%description	
Adds support for r6xx and r7xx series ATI cards which are the Radeon HD 3000 and Radeon HD 4000 series cards.  This should enable 3d support, EXA, and xV support for these cards.  This is experimental and this RPM works on top of the existing driver and drm system packages.


%prep
%setup -q


%build
cd drm/linux-core
make radeon.o drm.o


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{driverdir}/gpu/drm/radeon/
cd drm/linux-core
cp -f radeon.ko $RPM_BUILD_ROOT/%{driverdir}/gpu/drm/radeon/
cp -f drm.ko $RPM_BUILD_ROOT/%{driverdir}/gpu/drm/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%{driverdir}/gpu/drm/radeon/radeon.ko
%{driverdir}/gpu/drm/drm.ko

%defattr(-,root,root,-)
%doc



%changelog
